# $Revision: 1.20 $, $Date: 2012/01/13 13:18:19 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Box
Summary:	Mail::Box - manage a mailbox, a folder with messages
Summary(pl.UTF-8):	Mail::Box - zarządzanie skrzynką, folderem z wiadomościami
Name:		perl-Mail-Box
Version:	2.101
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a84461ad25d3f099bd043d3d73815844
URL:		http://search.cpan.org/dist/Mail-Box/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Encode) >= 1.86
BuildRequires:	perl-Object-Realize-Later >= 0.12
BuildRequires:	perl(Scalar::Util) >= 1.07
BuildRequires:	perl-HTML-Format
BuildRequires:	perl-MIME-Types >= 1.004
BuildRequires:	perl-Mail-SpamAssassin
BuildRequires:	perl-Test-Simple >= 0.47
BuildRequires:	perl-Text-Autoformat
# not in PLD yet
#BuildRequires:	perl-Mail-Transport-Dbx >= 0.04
#BuildRequires:	perl-User-Identity
%endif
# not found by perl.req
Requires:	perl-Object-Realize-Later >= 0.12
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	'perl(Mail::SpamAssassin)' 'perl(Text::Autoformat)' 'perl(HTML::FormatText)' 'perl(Mail::Transport::Dbx).*'

%description
The Mail::Box folder is a modern mail-folder manager -- at least at
the moment of this writing ;)  It is written to replace Mail::Folder,
although it interface is different.

%description -l pl.UTF-8
Folder Mail::Box to współczesny zarządca folderów pocztowych -
przynajmniej w chwili pisania ;). Jest pisany, aby zastąpić
Mail::Folder, aczkolwiek interfejs jest inny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^use 5.007003;$/use 5.007_003;/' Mail/Message/Field/Attribute.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	< /dev/null
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.pod' -exec rm -f '{}' \;

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README* TODO*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{perl_vendorlib}/Mail/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Box.spec,v $
Revision 1.20  2012/01/13 13:18:19  zbyniu
- up to 2.101

Revision 1.19  2009/09/17 07:39:37  amateja
- updated to 2.091

Revision 1.18  2007/12/24 19:49:01  qboosh
- generic URL

Revision 1.17  2007-12-24 03:03:08  zbyniu
- up to 2.079

Revision 1.16  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.14  2004/12/01 17:43:17  radek
- autoupdated to 2.059

Revision 1.13  2004/11/03 22:30:32  paladine
- formatting

Revision 1.12  2004/08/28 11:58:26  adamg
- updated to 2.057

Revision 1.11  2004/08/22 09:20:15  adamg
- updated to 2.056

Revision 1.10  2004/05/16 19:36:41  adamg
- updated to 2.055

Revision 1.9  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.8  2004/03/06 19:51:43  adamg
- updated to 2.054

Revision 1.7  2003/12/07 19:26:07  migo
- up to 2.053

Revision 1.6  2003/11/07 19:17:08  migo
- up to 2.051
- new bcond style
- cosmetics/BR reorganization
- don't ask questions when run on a terminal

Revision 1.5  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.4  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.3  2003/07/31 22:20:46  qboosh
- pl

Revision 1.2  2003/07/24 19:36:08  radek
- workaround for perl.prov's miserability (s/5.007003/5.007_003/)

Revision 1.1  2003/07/24 16:36:05  radek
- new
